﻿using Tesses.Backup;
using Tesses.Backup.Models;
using Tesses.VirtualFilesystem.Filesystems;
using Tesses.VirtualFilesystem;
LocalFileSystem fs=new LocalFileSystem();
BackupClient client = new BackupClient("http://127.0.0.1:42990/");
LoginRequest request=new LoginRequest();
request.UserName = "admin";
request.Password="changeme";
var res=await client.LoginAsync(request);
await res.SetDeviceAsync("Thinkpad Test");
Console.WriteLine(res.LoginResponse.Key);

var backupCtx=await res.PrepareBackupAsync(fs,Special.CurDir / "BackupFolder");
await backupCtx.PerformBackupAsync();
